Bug 20053 - При '-k ru' не работает символ "."
: При '-k ru' не работает символ "."
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rdesktop)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-05-15 11:13 by
Modified: 2013-12-11 19:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-15 11:13:02
Если запускаем 'rdesktop -k ru <ip>', то не работает символ "." ("/" - в
раскладке "en-us")
Решается так:
sed 's/slash 0x56 altgr/#slash 0x56 altgr/' -i /usr/share/rdesktop/keymaps/ru

Воспроизводиться от Desktop 4.0 до сизифа.
------- Comment #1 From 2009-08-05 21:48:23 -------
Нда :) ИМХО - самое изящное решение. А чтобы еще и подлечить заодно
переключение раскладки, особенно, когда на клиенте и на сервере комбинации
совпадают -
http://lists.altlinux.org/pipermail/community/2009-August/654203.html - здесь
предлагается вариант, который можно немного подправить - то есть тот файл,
который в рецепте предлагается обозвать как en-us.fixed можно сразу сделать как
ru - тогда сразу двух зайцев убъем
------- Comment #2 From 2013-12-11 19:58:05 -------
rdesktop-1.8.1-alt1 -> sisyphus:

* Tue Dec 10 2013 Slava Dubrovskiy <dubrsl@altlinux> 1.8.1-alt1
- 1.8.1 (closes: #29643)
- Update Raw-keyboard-patch-for-1.8.1.patch
- Remove rdesktop-libao.patch
- Fix ru keymaps (closes: #20053)